/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
import "Common"

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {
    Container {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }


            Container {
	            topPadding: 10
	            bottomPadding: topPadding
	            leftPadding: 10
	            rightPadding: leftPadding
                

                Label {
	                multiline: true
	                textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    text: qsTr("Use Taken application to manage all your camera pictures with geolocation information and display all the pictures on the map.\n\nWhen you take a picture with the Camera application it saves the geolocation information.  Taken application only works with pictures with geolocation information.")
                }

                Label {
                multiline: true
                textFormat: TextFormat.Html
                content.flags: TextContentFlag.ActiveText
                text: qsTr("<b>Turn on Geotag Pictures</b>\n\nIn order for Taken application to read the geotag information from the Camera pictures.  You must turn on <b>Geotag Pictures</b> option in the Camera application in the Settings screen.\n\nRun the Camera application and swipe down from the top of the screen and select Settings icon and then turn on Geotag Pictures.")
                }

                Label {
                multiline: true
                textFormat: TextFormat.Html
                content.flags: TextContentFlag.ActiveText

                text: qsTr("<b>Adding Pictures</b>\n\nTo add pictures to Taken database select the <b>Add</b> button on the main screen.  You can then browse the Camera folder or any folder that have pictures.  Pictures with geolocation will be shown on the screen.\nYou will be prompted to enter a Album name.  You can organize your pictures into Albums for easy access.")}

            Label {
            multiline: true
            textFormat: TextFormat.Html
            content.flags: TextContentFlag.ActiveText

            text: qsTr("<b>Add a New Album</b>\n\nTo add a new Album select the overflow icon and then select <b>New Album</b>\n\n<b>Open a Album</b>\n\nTo open a Album select the overflow icon and then select <b>Open Album</b>")}

        Label {
        multiline: true
        textFormat: TextFormat.Html
        content.flags: TextContentFlag.ActiveText

        text: qsTr("<b>Mapping the Pictures</b>\n\nTo show your pictures on the map select the <b>Show on Map</b> button.  This will show all the pictures in the list on the map.\n\nIf you just want to see one picture on the map then just select the picture from the list.\n\nIf you want to see multiple pictures on the map then press and hold on a picture and then select <b>Select More</b> icon on the menu.  Once you have selected all the pictures select the <b>Show on Map</b> icon from the menu.")}

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText

                    text: qsTr("<b>BlackBerry Map</b>\n\nWhen viewing your pictures on the map you can use the icons on the Toolbar to navigate between pictures.\n\nTo get detail information about a picture select the picture thumbnail on the map.  This will show the Bubble Help.  Select the Nav To icon to show even more detail such as file size, file location, GPS co-ordinate, Share file, view original picture and Nav To directions.")}

    Label {
    multiline: true
    textFormat: TextFormat.Html
    content.flags: TextContentFlag.ActiveText

    text: qsTr("<b>Google Map</b>\n\nWhen viewing your pictures on the map you can use the icons on the Toolbar to navigate between pictures.\n\nSelect the View type icon on the Toolbar or the More button to change the type of map to view eg: Hybrid, Road, Satellite or Terrain.\n\nTo zoom in and out do a pinch on the map.  You can double tap on the map to zoom in without pinching the map.\n\nNote: Thumbnail is not supported in Google Maps.  You can change different Pin icon in the Settings screen.\n\nTo get detail information about a picture select the Pin on the map.")}

    Label {
    multiline: true
    textFormat: TextFormat.Html
    content.flags: TextContentFlag.ActiveText

    text: qsTr("<b>Remove Pictures</b>\n\nRemoving the pictures <b>DOES NOT</b> delete the actual pictures.  It only removes the pictures from the Taken database.  Your pictures are safe and they are not deleted from your device.\n\nTo remove a picture from the list press and hold on the picture name and then select <b>Delete</b> from the menu.")}

    Label {
    multiline: true
    textFormat: TextFormat.Html
    content.flags: TextContentFlag.ActiveText
    text: qsTr("To remove multiple pictures from the list press and hold on a picture and then select the <b>Select More</b> button.  When you are done selecting select the <b>Delete</b> button from the menu.\n\nTo remove all the pictures from the list select the <b>More</b> from the Toolbar and then select <b>Remove All</b> icon.")}

Label {
multiline: true
textFormat: TextFormat.Html
content.flags: TextContentFlag.ActiveText

text: qsTr("<b>3rd Party App Support</b>\n\nYou can use any 3rd party application such as Pictures, File Manager that supports Sharing or Open In feature to display the picture on the map.\n\nWhen you Share a picture just select <b>Show on Map</b> and Taken will try to display the picture on the map.")}

Label {
multiline: true
textFormat: TextFormat.Html
content.flags: TextContentFlag.ActiveText

text: qsTr("<b>Application Permission</b>\n\nIf you had denied any Application Permissions for Taken it may not work properly.  To set the permsissions run the Settings application, select Security and Privacy, select Application Permissions and select Taken and set all to Allow.\n\nIf you would like to translate Taken to your language then please email us at support@toysoft.ca")}

Label {
multiline: true
textFormat: TextFormat.Html
content.flags: TextContentFlag.ActiveText

text: "\nTaken 1.2.0
Copyright © 2014 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"
                }// Label
	        }// Container
	
	
	    }// RecipeContainer
	}
/*
	    actions: [

	        ActionItem {
	            title: "More Apps"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_moreapps.png"
	            onTriggered: {
	                invokeappworld.trigger("bb.action.OPEN")
	            }
	        },

	        ActionItem {
	            title: "Invite"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_bbm.png"
	             
	            onTriggered: {
	                       _mainApp.invitedownload()
	            }
	        }
	        
	        ]
*/
	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

	    Invocation
	    {
	         id: invokewebsite
				query.mimeType: "text/html"
                query.uri: "http://www.toysoft.ca/"
                query.invokeActionId: "bb.action.OPEN"
	         
	     },

	    Invocation
	    {
	         id: invokeappworld
             query.mimeType: "application/x-bb-appworld"
             query.uri: "appworld://vendor/184"
             query.invokeActionId: "bb.action.OPEN"
	         
	     }

	  ]
    titleBar: TitleBar {
        title: "Help"

    }

}// RecipePage