import bb.cascades 1.2

Sheet {
        
    Page {

        titleBar: TitleBar {
            id: addBar
            title: qsTr("Select a Folder") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    _folder.cancelFolderPicker()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
                onTriggered: {
                    _folder.saveFolderPicker()
                }
            }
        }// titleBar

        ScrollView {
            Container {
                ListView {
                    id: contactList
                    objectName: "folderList"
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                    layout: GridListLayout {
                        columnCount: 3
                        objectName: "maingridlist"
                    }
                    
                    dataModel: _folder.model
                    listItemComponents: [
                        ListItemComponent {
                        type: "item"
                        
                        Container {
                            id: itemRoot
                            layout: DockLayout {
                            }
                            Container {
                                background: Color.create("#75b5d3")
                                opacity: itemRoot.ListItem.active  ? 0.9 : 0.0
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                            }
                            
                            ImageView {
                                imageSource: ListItemData.image
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                            }
    
                        } // container
    
                    }
                    ]
                 
                    onTriggered: {
                        // A fruit was selected so send the save signal with the imageSource for the fruit.
                        //                var chosenItem = dataModel.data (indexPath);
                        _folder.folderSelected(indexPath);
                    }
   
                } // listview
                
                
            } // container
        } // scrollview
    }
}
