import bb.cascades 1.2

// creates one page with a label
NavigationPane
{
    peekEnabled: false
    backButtonsVisible: false
    
    Page {
        actions: [
            //! [0]
            ActionItem {
                title: _mainApp.viewModeTitle
                imageSource: "asset:///images/ic_map.png"
                ActionBar.placement: ActionBarPlacement.OnBar
                onTriggered: {
                    _mainApp.nextViewMode()
                    map.setMapType(_mainApp.viewMode);
                }
                objectName: "action_map_view"
            },
            
            ActionItem {
                title: qsTr("Close")
                imageSource: "asset:///images/ic_cancel.png"
                ActionBar.placement: ActionBarPlacement.OnBar
                onTriggered: {
                    _mainApp.close_map()
                }
                objectName: "action_close"
            }
            //! [0]
        ]
        
        objectName: "page"
        Container {
            id: root
            layout: DockLayout {
            }
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            Map {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Top
                id: map
                objectName: "google_map"
            }

            Container {
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Bottom
                layout: StackLayout {
                
                }
                background: Color.Gray
                leftPadding: 10
                topPadding: 10
                bottomPadding: 10
                preferredWidth: 120.0
                preferredHeight: 100
                opacity: 0.5
                Button {
                    imageSource: "asset:///images/ic_add.png"
                    preferredWidth: 81.0
                    opacity: 0.9
                    onClicked: {       
                        _mainApp.zoomMap(1)                                 
                    }
                }
                Button {
                    preferredWidth: 81.0
                    imageSource: "asset:///images/ic_sub.png"
                    opacity: 0.9
                    onClicked: {       
                        _mainApp.zoomMap(-1)                                 
                    }
                }
                Label {
                    text: ""
                }
            
            }
        
        }
    
    }
}
