import bb.cascades 1.0
import bb.cascades.pickers 1.0

NavigationPane {

    Page {

        actions: [
            
            ActionItem {
                title: qsTr("Show Map")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_map.png"
                onTriggered: {
                    _mainApp.show_all_pictures();
                }
                objectName: "action_start"
            },

            ActionItem {
                title: qsTr("Sort")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_sort.png"
                onTriggered: {
                    _mainApp.sort();
                }
            },
            
            ActionItem {
                title: qsTr("Add")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    filePicker.open()
                }
            },
            
            ActionItem {
                title: qsTr("Add Folder")
                imageSource: "asset:///images/ic_add_folder.png"
                onTriggered: {
                    folderPicker.open()
                }
            },
            
            ActionItem {
                  title: qsTr("New Album")
                  imageSource: "asset:///images/ic_new.png"
                  onTriggered: {
                      _mainApp.new_album()
                  }
            },
            
            ActionItem {
                title: qsTr("Open Album")
                imageSource: "asset:///images/ic_open.png"
                onTriggered: {
                    loadalbumPicker.open()
                }
            },
            
            DeleteActionItem {
                  title: qsTr("Delete Album")
//                  ActionBar.placement: ActionBarPlacement.OnBar
                  //imageSource: "asset:///images/ic_delete.png"
                  onTriggered: {
                      _mainApp.delete_all()
                  }
                  
            }
        
        ]
        titleBar: TitleBar {
            title: "Taken"

        }
        objectName: "page"
        Container {
            layout: DockLayout {
            
            }


            ListView {
                id: listView
                dataModel: _mainApp.model

                // This multi-select action will be placed inside the ActionSets of each
                // list item that doesn't have a MultiSelectActionItem of its own.
                multiSelectAction: MultiSelectActionItem {
                }
                
                multiSelectHandler {
                    // These actions will be shown during multiple selection, while this
                    // multiSelectHandler is active
                    actions: [
                        ActionItem {
                            onTriggered: {
                                _mainApp.show_on_map(listView.selectionList())
                            }
                            title: qsTr("Show on Map")
                            imageSource: "asset:///images/ic_map.png"
                        },

                        DeleteActionItem {
                            onTriggered: {
                                _mainApp.deleteMultiple(listView.selectionList())
                            }
                        }
                    ]
                    
                    status: qsTr("None selected")
                    
                    onActiveChanged: {
                        if (active == true) {
                            console.log("Multiple selection is activated");
                        } else {
                            console.log("Multiple selection is deactivated");
                        }
                    }
                }
                                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            id: itemRoot
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                    
                            contextActions: [
                                ActionSet {
                                    title: qsTr("Select Action")
                                    
                                    
                                    ActionItem {
                                        title: qsTr("Show On Map")
                                        imageSource: "asset:///images/ic_map.png"
                                        onTriggered: {
                                            itemRoot.ListItem.view.myAction(0, ListItemData.lat, ListItemData.lon, ListItemData.title, ListItemData.description, ListItemData.image, ListItemData.image);
                                        }
                                    }
                                    ActionItem {
                                        title: qsTr("Details")
                                        imageSource: "asset:///images/ic_view_details.png"
                                        onTriggered: {
                                            itemRoot.ListItem.view.myAction(2, ListItemData.lat, ListItemData.lon, ListItemData.title, ListItemData.date, ListItemData.url, ListItemData.image);
                                        }
                                    }
                                    
                                    DeleteActionItem {
                                        title: qsTr("Delete")
                                        onTriggered: {
                                            itemRoot.ListItem.view.myAction(1, ListItemData.lat, ListItemData.lon, ListItemData.title, ListItemData.date, ListItemData.url, ListItemData.image);
                                        }
                                    }
                                    
                                
                                }
                            ]

                        
                        }

                    
                    }
                ] // listItem

                onSelectionChanged: {
                    if (selectionList().length > 1) {
                        multiSelectHandler.status = selectionList().length + " items selected";
                    } else if (selectionList().length == 1) {
                        multiSelectHandler.status = "1 item selected";
                    } else {
                        multiSelectHandler.status =  qsTr("None selected");
                    }
                }
                
                
                onTriggered: {
                    clearSelection()
                    _mainApp.show_item(indexPath)
                }
                // context menu
                function myAction(type, lat, lon, name, datetime, filename, thumbnail) {
                    _mainApp.processAction(type, lat, lon, name, datetime, filename, thumbnail);
                }

                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview

            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                background: Color.DarkGray
                objectName: "container_saving"
                visible: false
                preferredHeight: 100.0
                Label {
                    text: qsTr("Saving...")
                    textStyle.fontSize: FontSize.XLarge
                    horizontalAlignment: HorizontalAlignment.Center
                    objectName: "lb_saving"
                    verticalAlignment: VerticalAlignment.Center
                }
            }


        } // container
    }
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            
            title: qsTr("Select pictures")
            mode: FilePickerMode.PickerMultiple
            filter: [ "*.jpg", "*.jpeg","*.tiff" ]
            directories: ["/accounts/1000/shared/camera" ]         
            onFileSelected: {
                _mainApp.add_pictures(selectedFiles);
            }
            objectName: "filepicker"
            type: FileType.Picture
        },

        FilePicker {
             id: loadalbumPicker
             
             title: qsTr("Select a Ablum")
             filter: [ "*.db" ]
             directories: ["/accounts/1000/removable/sdcard/documents/Taken" ]         
             onFileSelected: {
                 _mainApp.open_album(selectedFiles);
             }
            objectName: "file_picker"
        },

        FilePicker {
             id: folderPicker
             
             mode: FilePickerMode.Picker
             title: qsTr("Select a File")
             filter: [ "*.jpg", "*.jpeg","*.tiff" ]
             directories: ["/accounts/1000/shared/camera" ]         
             onFileSelected: {
                 _mainApp.open_folder(selectedFiles);
             }
        }

    ]

}
